/* CSS Document */

#article h1,
#article h2,
#article h3,
#article h4,
#article h5,
#article h6{
	font-weight: bold;
	color: #799D05;
	text-shadow: 1px 1px 1px #000000;
}
#article table tr td{
	padding: 6px;
}
#rating{
	width: fit-content;
	margin: 0px auto;
}

#comments, #more_comments{
	width: 100%;
}
.article_comment{
	width: 100%;
	background: #f4f4f4;
	margin: 0 0 10px 0;
	border: 1px Solid #CCC;
	border-radius: 5px;
}
.comment_content{
	width: 100%;
	border-bottom: none;
	padding: 10px;
	font-size: 1rem;
	font-style: italic;
	border-bottom: 1px Solid #CCC;
	overflow-wrap: break-word;
}
.comment_user{
	width: 50%;
	float: left;
	padding: 10px;
	border-right: 1px Solid #CCC;
	overflow-wrap: break-word;
}
.comment_date{
	width: 50%;
	float: left;
	border: none;
	padding: 10px;
	text-align: right;
}

#more_comments{
	margin: 10px 0 0 0;
	display: none;
}

#write_comments h3{
	width: 100%;
	max-width: 500px;
	margin: 0px auto;
	margin-top: 20px;
}
#write_comment_form{
	width: 100%;
	max-width: 500px;
	margin: 0px auto;
	margin-top: 0;
	padding: 10px;
	border: 1px Solid var(--green);
	border-radius: 5px;
}
#write_comment_form textarea, #write_comment_form input[type="text"]{
	width: 100%;
	margin-bottom: 10px;
}
#write_comment_form input[type="text"]{
	height: 35px;
}
#write_comment_form small{
	display: block;
	float: left;
	width: calc(100% - 115px);
	min-height: 26px;
	height: auto;
}
#write_comment_form button{
	display: block;
	float: right;
	width: 25%;
	height: 26px;
}
#write_comment_form input[type="submit"], button#more_comments_button{
	float: right;
}


/* 300px - 400px. */
@media only screen 
and (min-width: 300px)
and (max-width: 400px){
	img.toLeft, img.left_image, img.toRight, img.right_image{
		float: none;
		margin: 0 0 10px 0;
	}	
}